Get Helm Release Detail Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name} \
--header 'Authorization: Bearer <token>'{
"computed_values": {},
"hooks": [
{}
],
"manifest_resources": [
{}
],
"metadata": {
"name": "<string>",
"namespace": "<string>",
"revision": 123,
"status": "<string>",
"app_version": "<string>",
"chart": "<string>",
"chart_version": "<string>",
"description": "<string>",
"first_deployed": "<string>",
"last_deployed": "<string>"
},
"user_values": {},
"notes": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Kubernetes
Get Helm Release Detail Endpoint
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
kubernetes
/
helm
/
releases
/
{namespace}
/
{name}
Get Helm Release Detail Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/helm/releases/{namespace}/{name} \
--header 'Authorization: Bearer <token>'{
"computed_values": {},
"hooks": [
{}
],
"manifest_resources": [
{}
],
"metadata": {
"name": "<string>",
"namespace": "<string>",
"revision": 123,
"status": "<string>",
"app_version": "<string>",
"chart": "<string>",
"chart_version": "<string>",
"description": "<string>",
"first_deployed": "<string>",
"last_deployed": "<string>"
},
"user_values": {},
"notes": "<string>"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 253Required string length:
1 - 253